<div>
  <div class="card border-dark mb-3 app-container">
    <div *ngIf="spinner" class="spinner-overlay text-center align-middle">
      <div
        id="main-spinner"
        class="spinner-grow align-middle"
        style="width: 10rem; height:10rem;"
        role="status"
        aria-hidden="true"
      ></div>
    </div>
    <div class="card-header">
      <h5 class="mb-2">
        Jira SECO adesso Synchronizer
      </h5>
      <ul class="nav nav-tabs card-header-tabs" id="navTab" role="tablist">
        <li class="nav-item" (click)="setImporter('adesso-seco')">
          <a
            class="nav-link active"
            id="adesso-seco-tab-link"
            data-toggle="tab"
            href="#adesso-seco-tab"
            role="tab"
            aria-controls="adesso-seco-tab"
            aria-selected="false"
            >adesso ➝ SECO</a
          >
        </li>
        <li class="nav-item" (click)="setImporter('seco-adesso')">
          <a
            class="nav-link"
            id="seco-adesso-tab-link"
            data-toggle="tab"
            href="#seco-adesso-tab"
            role="tab"
            aria-controls="seco-adesso-tab"
            aria-selected="true"
            >SECO ➝ adesso</a
          >
        </li>
      </ul>
    </div>
    <div class="card-body">
      <div class="tab-content" id="myTabContent">
        <div
          class="tab-pane fade show active"
          id="adesso-seco-tab"
          role="tabpanel"
          aria-labelledby="adesso-seco-tab-link"
        >
          <app-adesso-seco-import-tab></app-adesso-seco-import-tab>
        </div>
        <div
          class="tab-pane fade"
          id="seco-adesso-tab"
          role="tabpanel"
          aria-labelledby="seco-adesso-tab-link"
        >
          <app-seco-adesso-import-tab></app-seco-adesso-import-tab>
        </div>
      </div>
    </div>
    <div class="card-footer">
      <button
        type="button"
        class="btn btn-success float-right ml-2"
        (click)="import()"
        [disabled]="!importer.canImport()"
      >
        Import
      </button>
    </div>
  </div>
  <app-progress-points
    [progressPoints]="progress.get()"
    *ngIf="showProgress"
  ></app-progress-points>
</div>
